# Ogre::CategorisedAllocPolicy< Cat > Class Template Reference

`#include <OgreMemoryAllocatorConfig.h>`

Inheritance diagram for Ogre::CategorisedAllocPolicy< Cat >:

[legend]
List of all members.

## Static Public Member Functions

static void * | allocateBytes (size_t count, const char *file=0, int line=0, const char *func=0)
static void | deallocateBytes (void *ptr)

### template<MemoryCategory Cat>
class Ogre::CategorisedAllocPolicy< Cat >

## Member Function Documentation

static void* Ogre::NedAllocPolicy::allocateBytes | ( | size_t | count,
|  | const char * | file = `0`,
|  | int | line = `0`,
|  | const char * | func = `0`
| ) | `[static, inherited]`

| Definition at line 62 of file OgreMemoryNedAlloc.h. References Ogre::NedAllocImpl::allocBytes().

static void Ogre::NedAllocPolicy::deallocateBytes | ( | void * | ptr | ) | `[static, inherited]`

| Definition at line 67 of file OgreMemoryNedAlloc.h. References Ogre::NedAllocImpl::deallocBytes().

The documentation for this class was generated from the following file:

- OgreMemoryAllocatorConfig.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 13:49:16 2009